# RayShoot

### Methods

#### (static) ray_shoot(polygon, point) → {INSIDE|OUTSIDE|BOUNDARY}

Implements ray shooting algorithm. Returns relation between point and polygon: inside, outside or boundary

Source:
  - algorithms/ray_shooting.js, line 14

##### Parameters:

Name | Type | Description
--- | --- | ---
`polygon` | `Polygon` | polygon to test
`point` | `Point` | point to test

##### Returns:

Type:
  `INSIDE` | `OUTSIDE` | `BOUNDARY`